{
  "id": "3da3f79b514bd00d8102a3a9",
  "source": "http",
  "type": "go-function",
  "title": "http.func ListenAndServeTLS ¶",
  "content": "# http.func ListenAndServeTLS ¶\n\n```\nfunc ListenAndServeTLS(addr, certFile, keyFile string, handler Handler) error\n```\n\nListenAndServeTLS acts identically to ListenAndServe, except that it\nexpects HTTPS connections. Additionally, files containing a certificate and\nmatching private key for the server must be provided. If the certificate\nis signed by a certificate authority, the certFile should be the concatenation\nof the server's certificate, any intermediates, and the CA's certificate.",
  "url": "https://pkg.go.dev/http#func ListenAndServeTLS ¶",
  "metadata": {
    "examples": "null",
    "import_path": "Standard library/net/http",
    "kind": "function",
    "package": "http",
    "signature": "func ListenAndServeTLS(addr, certFile, keyFile string, handler Handler) error",
    "symbol": "func ListenAndServeTLS ¶"
  },
  "hash": "547882865ad9b060be7c1ca4c558390726d5381bd9367e4983f6f6106e142b97",
  "timestamp": "2026-02-19T12:17:17.237491446+01:00"
}